Endpoint Examples

/totals

POST /totals

Get summary metrics on all alumni matching the filters.

Query Parameters

NameTypeDescription
accoutnidstringAccount ID.
Example: local-test-data

Code Examples

curl --request POST \
     --url https://api.lightcast.io/alumni-pathways/totals \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN> \
     --header 'content-type: application/json' \     

Response Examples

{
  "data": {
    "totals": {
      "alumni": 39
    }
  }
}
{
  "errors": [
    {
      "status": 400,
      "title": "Bad request",
      "detail": "Unknown occupation 1234 for dimension lotocc"
    }
  ]
}
{
  "errors": [
    {
      "status": 404,
      "title": "Not found",
      "detail": "Invalid request path (dimension: foo): value is not a valid enumeration member; permitted: 'lotocc', 'lotspecocc'"
    }
  ]
}